
# ABOUT AJAXIN

Provides a simple modern ajax progressbar as a replacement for full screen
progressbar, and few AJAX loading animations. Integrated with core AJAX,
Blazy images, and or Intersection Observer ajaxified blocks and its infinite
scroll Views pager.

***
## <a name="first"> </a>FIRST THINGS FIRST!
Blazy and its sub-modules are tightly coupled. Be sure to have the latest
release date or matching versions in the least. DEV for DEV, Beta for Beta,
etc. Mismatched versions may lead to errors. Mismatched branches will surely
be errors. What is `coupled`? Blazy sub-modules are dependent on Blazy, just
like Blazy depends on core Media. If core Media is not installed, Blazy is not
usable. In the case of Blazy, it is a bit `tighter` since it also acts as a DRY
buster for many similar sub-modules with some degree of difference.
We tried to minimize this issue, but if that happens you are well informed.

## REQUIREMENTS
* [Blazy 2.x](https://www.drupal.org/project/ajaxin) (>= 2.16)


## INSTALLATION
Install the module as usual, more info can be found on:

[Installing Drupal 8 Modules](https://drupal.org/node/1897420)


## USAGE / CONFIGURATION
Visit **/admin/config/media/ajaxin**

Change the background color as needed.
The module will override loading animations for core AJAX, Blazy images, and or
Intersection Observer ajaxified blocks and its infinite scroll Views pager.


## KNOWN ISSUES/ LIMITATIONS
* This module doesn't monitor/ calculate AJAX package, yet. It is only a simple
  CSS preloader indicating a progress happening. At this stage, accuracy is not
  crucial. Impression of something in progress is. At best, it just reacts
  on an event when an AJAX or image has finished loading.


# AUTHOR/MAINTAINER/CREDITS
* [Gaus Surahman](https://www.drupal.org/user/159062)
* [Contributors](https://www.drupal.org/node/3048388/committers)
* CHANGELOG.txt for helpful souls with their patches, suggestions and reports.
* [SpinKit at Github](https://github.com/tobiasahlin/SpinKit)
* [SpinKit website](https://tobiasahlin.com/spinkit/)

## READ MORE
See the project page on drupal.org:

[Ajaxin module](https://drupal.org/project/ajaxin)
